%define name	lilypond
%define version	2.0.1
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A program for printing sheet music.
License:	GPL
Group:		Publishing
URL:		http://www.lilypond.org/
Source0:	ftp.cs.uu.nl:/pub/GNU/LilyPond/development/lilypond-%{version}.tar.bz2
Source1:	%{name}.bash-completion.bz2
Patch1: 	lilypond-standard-namespace.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	bison
BuildRequires:	texinfo
BuildRequires:	t1lib1-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libguile-devel
BuildRequires:	flex
BuildRequires:	groff
BuildRequires:	netpbm
BuildRequires:	mftrace
BuildRequires:	XFree86
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	python-devel
BuildRequires:	tetex-devel
BuildRequires:	ImageMagick
Requires:	tetex-latex
Requires:	chkfontpath
Requires:	XFree86
Requires:	info-install
Requires:	bash-completion
PreReq:		chkfontpath

%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  Lilypond is part of the GNU project.
 
LilyPond is split into two packages.  The package "lilypond" provides the
core package, containing the utilities for converting the music source
(.ly) files into printable output.  The package "lilypond-documentation" 
provides the full documentation, example .ly files for various features and 
the Mutopia project files (musical equivalent of the Gutenberg project - see
http://www.mutopiaproject.org for details).
 
If you are new to lilypond, you will almost certainly want to install the
"lilypond-manual" package in addition to the "lilypond" package.

%package manual
Summary: 	LilyPond documentation, examples and Mutopia files.
Group: 		Publishing
Requires: 	%{name}

%description manual
The documentation of LilyPond, both in HTML and PostScript, along with
example input files and the files from the Mutopia project.

%prep
%setup -q
%patch1 -p1
bzcat %{SOURCE1} > %{name}.bash-completion

%build
# DO NOT use % { configure } , it hardcodes all paths, runs libtool,
# so we can't do make prefix=/tmp/ install.
# -- not sure what this comment means; it's a relic from the PPC spec file -- mbrown@fensystems.co.uk
##./configure --disable-checking --disable-debugging --enable-printing --prefix=%{_prefix} --disable-optimising --enable-shared
## Add options if needed
./configure --disable-checking --prefix=%{_prefix} --libdir=%{_libdir} \
 --enable-optimising
%make MAKE_PFA_FILES=1 all
make -C mf/ pfa

# make info
make -C Documentation

# make documentation
make web

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall MAKE_PFA_FILES=1 local_lilypond_libdir=$RPM_BUILD_ROOT/%{_libdir}/%{name}/%{version}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
cp buildscripts/out/lilypond-profile $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.sh
cp buildscripts/out/lilypond-login $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.csh

# again, make sure that main package installs even if doco fails
rm -rf web
mkdir web
tar xzf out-www/web.tar.gz -C web

%{find_lang} %{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%post
touch /tmp/.lilypond-install
rm `find /var/lib/texmf -name 'feta*pk' -or -name 'feta*tfm' -or -name 'parmesan*pk' -or -name 'parmesan*tfm' -print` /tmp/.lilypond-install

/sbin/install-info --quiet %{_infodir}/lilypond.info.bz2 %{_infodir}/dir 

/usr/X11R6/bin/mkfontdir %{_datadir}/lilypond/%{version}/fonts/type1/
chkfontpath --add=%{_datadir}/lilypond/%{version}/fonts/type1/

%preun

if [ $1 = 0 ]; then
/sbin/install-info --quiet --delete %{_infodir}/lilypond.info.bz2 %{_infodir}/dir 
fi

rm -f %{_datadir}/lilypond/%{version}/fonts/type1/fonts.dir
chkfontpath --remove=%{_datadir}/lilypond/%{version}/fonts/type1/

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README.txt DEDICATION AUTHORS.txt THANKS
%{_datadir}/emacs/site-lisp/*
%{_datadir}/%{name}/%{version}
%{_datadir}/omf/%{name}/%{version}
%{_libdir}/%{name}/%{version}
%_bindir/*
%_mandir/*/*
%{_infodir}/*
%config(noreplace) %{_sysconfdir}/profile.d/lilypond.*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%files manual
%defattr(-, root, root)
%doc web/*

%changelog
* Mon Dec 29 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.1-1mdk
- new version
- added bash-completion
- removed some redundant requires/buildrequires
- no library package
- renamed documentation subapckage to manual subpackage for coherency
- no menu entry just for info and html pages
- let spechelper do its job
- spec cleanup

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 1.8.1-1mdk
- 1.8.1
- buildrequires XFree86
- build icons with ImageMagick

* Thu Mar 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.7.14-1mdk
- 1.7.14

* Fri Feb 14 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.7.12-2mdk
- thac->contrib
- gcc fix (Thanks narfi) - p1
- Many fixes to make rpmlint happy - buildrequires,find-lang etc
- No bugs accepted, only patches ;-)

* Sat Feb 01 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.7.12-1mdk
- Built for Mandrake 9.1

* Fri Dec 01 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.9-1mdk
- set menu-items to lilypond-info and lilypond-documentation.

* Fri Nov 30 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.8-4mdk
- add pre/post-dependencies and menus with icon from source.

* Fri Oct 28 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.4-1mdk
- info, commented menu

* Fri Aug 30 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.6.0-1mdk
- Adapted from lilypond.redhat.skel and skeleton found in Mandrake's RPM-docs.
- TODO: info (?) and dependencies.

* Fri Jun 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-1mdk
- updated by Michael Brown <mbrown@linux-mandrake.com> :
	- Upgraded to 1.4.2
	- Changed URL
	- Removed /etc/profile.d scripts: all TeX bits are now located properly
	- Rearranged documentation
	- Tidied spec file
	- Updated README.first

* Mon Feb 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.129-1mdk
- added in contribs by Michael Brown <mbrown@fensystems.co.uk> :
	- Removed info files completely (couldn't get info reader to read them)
	- TODO: Get this to work at some point (in the meantime, use documentation in lilypond-extras)

* Sat Feb 17 2001 Michael Brown <mbrown@fensystems.co.uk>
- Moved TeX font folders into the system TeX tree (this ensures that the /var/lib/texmf font cache is used instead of current folder)
- Added mktexlsr to post-install and post-uninstall scripts
- Patched scripts in /etc/profile.d to reflect changes to font locations
- Added QuickStart guide and Points to note sections to README.first (well worth reading)
- Fixed install-info and uninstall-info sections to use Mandrake's RPM macros :-)

* Tue Feb 13 2001 Michael Brown <mbrown@fensystems.co.uk>
- First Mandrake package
- spec file heavily adapted from PowerPC contribs.
- Note HTML documentation may contain duff links and may be incomplete.  Lots of warnings appear when building HTML docs.
- PostScript documentation is duplicated (how do you get an rpm package to contain a symlink?)
- Created README.first file
